Skip to main content
GET
/
v1
/
leads
List leads
curl --request GET \
  --url https://api.topcalls.ai/v1/leads \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "phone_number": "<string>",
      "status": "New",
      "tags": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "email": "jsmith@example.com",
      "notes": "<string>",
      "metadata": {},
      "converted_at": "2023-11-07T05:31:56Z",
      "list_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.topcalls.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Query Parameters

phone
string
Pattern: ^\+[1-9]\d{8,14}$
list_id
string<uuid>
status
enum<string>
Available options:
New,
Contacted,
Converted,
Unsubscribed
tag
string
Minimum string length: 1
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

OK

items
object[]
required
has_more
boolean
required
next_cursor
string | null